Package org.drinkless.tdlib

# Class TdApi.ChatInviteLinkSubscriptionInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatInviteLinkSubscriptionInfo

Enclosing class:
  `TdApi`

public static class TdApi.ChatInviteLinkSubscriptionInfo extends TdApi.Object
Contains information about subscription plan that must be paid by the user to use a chat invite link.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canReuse`
  True, if the user has already paid for the subscription and can use joinChatByInviteLink to join the subscribed chat again.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `formId`
  Identifier of the payment form to use for subscription payment; 0 if the subscription can't be paid.
  `TdApi.StarSubscriptionPricing`
  `pricing`
  Information about subscription plan that must be paid by the user to use the link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatInviteLinkSubscriptionInfo()`
  Contains information about subscription plan that must be paid by the user to use a chat invite link.
  `ChatInviteLinkSubscriptionInfo(TdApi.StarSubscriptionPricing pricing, boolean canReuse, long formId)`
  Contains information about subscription plan that must be paid by the user to use a chat invite link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pricing

    public TdApi.StarSubscriptionPricing pricing
    Information about subscription plan that must be paid by the user to use the link.

  - ### canReuse

    public boolean canReuse
    True, if the user has already paid for the subscription and can use joinChatByInviteLink to join the subscribed chat again.

  - ### formId

    public long formId
    Identifier of the payment form to use for subscription payment; 0 if the subscription can't be paid.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatInviteLinkSubscriptionInfo

    public ChatInviteLinkSubscriptionInfo()
    Contains information about subscription plan that must be paid by the user to use a chat invite link.

  - ### ChatInviteLinkSubscriptionInfo

    public ChatInviteLinkSubscriptionInfo(TdApi.StarSubscriptionPricing pricing, boolean canReuse, long formId)
    Contains information about subscription plan that must be paid by the user to use a chat invite link.
    Parameters:
      `pricing` - Information about subscription plan that must be paid by the user to use the link.
      `canReuse` - True, if the user has already paid for the subscription and can use joinChatByInviteLink to join the subscribed chat again.
      `formId` - Identifier of the payment form to use for subscription payment; 0 if the subscription can't be paid.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR